> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aryn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Async Task Status



## OpenAPI

````yaml api-reference/endpoint/docparse/openapi.json get /v1/async/result/{task_id}
openapi: 3.1.0
info:
  title: OpenAPI Aryn DocParse
  description: DocParse API
  version: 0.1.0
servers:
  - url: https://api.aryn.cloud
    description: US Region
  - url: https://api.aryn.ai
    description: US Region
  - url: https://api.us.aryn.ai
    description: US Region
  - url: https://api.us.aryn.cloud
    description: US Region
security: []
paths:
  /v1/async/result/{task_id}:
    get:
      tags:
        - Partition
      summary: Get Async Task Status
      operationId: _async_partition_document_status_v1
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            title: Task ID
        - name: User-Agent
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User-Agent
        - name: path_filter
          in: query
          required: true
          schema:
            type: string
            enum:
              - ^/v1/document/partition$
            title: Path Filter
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartitionerResponse'
        '202':
          description: Task is pending
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    examples:
                      - Task is pending.
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    examples:
                      - No Aryn API key provided.
        '404':
          description: No such task.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    examples:
                      - No such task.
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                type: string
                examples:
                  - Internal Server Error
      security:
        - HTTPBearer: []
components:
  schemas:
    PartitionerResponse:
      properties:
        status:
          items:
            type: string
          type: array
          title: Status
        status_code:
          type: integer
          title: Status Code
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: |
            The error message if the partitioning is not successful.
        elements:
          anyOf:
            - items:
                $ref: '#/components/schemas/Element'
              type: array
            - type: 'null'
          title: Elements
        markdown:
          anyOf:
            - type: string
            - type: 'null'
          title: Markdown
      type: object
      required:
        - status
        - status_code
        - elements
        - markdown
      title: PartitionerResponse
    Element:
      properties:
        type:
          type: string
          title: Type
          description: |
            The type of the element.
        bbox:
          items:
            type: number
          type: array
          title: Bbox
          description: |
            The bounding box of the element.
        properties:
          type: object
          title: Properties
          description: |
            The properties of the element.
        text_representation:
          type: string
          title: Text Representation
          description: |
            The text representation of the element.
        binary_representation:
          anyOf:
            - type: string
              format: binary
            - type: 'null'
          title: Binary Representation
          description: |
            The binary representation of the element.
      type: object
      required:
        - type
        - bbox
        - properties
        - text_representation
        - binary_representation
      title: Element
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````